# FHE 24 Sep 2022 from ~/bpbp
# FHE 25 May 2020
# based on xyfzfg.R

mysource("fgutil.R");

# vars: vector of names of variables
# fcts: vector of names of factors
# nds: vars+fcts, but arranged in order in graph
# edges: nds x nds matrix; 1 for arg var and 2 for dep var (function output)
# pos: nds x 2; gives positions of each variable or factor in output diagram
# varfact(): parse "z,f"
# markedge(): specify a bunch of edges
# edgeoffs: where a message plot should go, relative to the center of each edge

vars=c("x","y")
fcts=c("f")
nds=strsplit("yfx",split="")[[1]]
edges=matrix(nrow = length(nds), ncol= length(nds), 0)
dimnames(edges)=list(nds,nds)
{
  marg=0.5
  pcol=c(0,0,0)
  prow=c(0,1,2)
  ps=3+2*marg
  #ps=8
  mid=mean(range(prow))
  pos<<-cbind(pcol/ps+marg,(mid-prow)/ps+marg)
}
rownames(pos)=nds
markedge(1,"x,f")
markedge(2,"y,f")

################################################################
# offsets for showing messages
## s=0.7
## edgeoffs=list(.....TODO XXX
