# FHE 24 Sep 2022 from /home/frederik/bpbp/xyfzfg.R

# FHE 29 Apr 2020 describe a simple factor graph
# see fg-diag.R

mysource("fgutil.R");

# vars: vector of names of variables
# fcts: vector of names of factors
# nds: vars+fcts, but arranged in order in graph
# edges: nds x nds matrix; 1 for arg var and 2 for dep var (function output)
# pos: nds x 2; gives positions of each variable or factor in output diagram
# varfact(): parse "z,f"
# markedge(): specify a bunch of edges
# edgeoffs: where a message plot should go, relative to the center of each edge

vars=c("x","y","z")
fcts=c("f")
nds=ssplit("zfxy")
edges=matrix(nrow = length(nds), ncol= length(nds), 0)
dimnames(edges)=list(nds,nds)
{
  # XXX marg really means center?
  marg=0.5
  pcol=c(0,0,-1,1)
  prow=c(0,1,2,2)
  ps=3+2*marg
  #ps=8
  mid=mean(range(prow))
  pos<<-cbind(pcol/ps+marg,(mid-prow)/ps+marg)
}
rownames(pos)=nds
markedge(1,"x,f","y,f")
markedge(2,"z,f")

################################################################
# offsets for showing messages
## s=0.7
## edgeoffs=list(.....
